Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80969 - No way to specify "Character Coding" in profiles
Summary: No way to specify "Character Coding" in profiles
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-terminal
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-02 21:28 UTC by Michal Jaegermann
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-13 02:44:53 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2003-01-02 21:28:10 UTC
Description of problem:

It does not seem to be a way to specify a desired coding in profiles.
As a command line option to do that is not apparent as well then I do
not see how to create icons and/or menu entries to open terminals
with various codings.  This effect is trivially achievable with earlier
version of Gnome by picking up in profiles a proper font set which,
regretably, is no longer possible.  Mousing all the time quickly becomes
old especially that "Reset Terminal" resets also coding to a default.

Comment 1 Havoc Pennington 2003-01-02 21:56:21 UTC
This is already filed on gnome.org I believe, or at least I looked at it a bit.

The reason it's not there is that the default encoding is currently from $LANG

If it's in the profile it probably has to have a "use $LANG" option which 
would be the default.

It's possible some sort of "env variables to set" feature for profiles
would be more generally useful and also fix this.

Comment 2 Havoc Pennington 2003-01-13 02:44:53 UTC
Moved to http://bugzilla.gnome.org/show_bug.cgi?id=103275



Note You need to log in before you can comment on or make changes to this bug.